import { jsx } from "react/jsx-runtime";
import { TokenDIA as TokenDIA$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenDIA = forwardRef(
  ({ variant = "mono", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, alt: "DIA", "data-name": "TokenDIA", ...props, children: /* @__PURE__ */ jsx(TokenDIA$1, { variant }) });
  }
);
TokenDIA.displayName = "TokenDIA";
Object.assign(TokenDIA, { isGdsIcon: true });
export {
  TokenDIA
};
